org.apache.jmeter.save

## Class SaveService

- java.lang.Object
- - org.apache.jmeter.save.SaveService

-     public class SaveService
      extends Object

  Handles setting up XStream serialisation. The class reads alias definitions from saveservice.properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RESULTCOLLECTOR_HELPER_OBJECT`
    `static String` | `SAMPLE_EVENT_OBJECT`
    `static String` | `TEST_CLASS_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaveService()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `aliasToClass(String s)`
    `static String` | `CEtoString(com.thoughtworks.xstream.converters.ConversionException ce)` Simplify getMessage() output from XStream ConversionException
    `static String` | `classToAlias(String s)`
    `static String` | `getFileEncoding(String dflt)` Returns the file Encoding specified in saveservice.properties or the default
    `static String` | `getPropertiesVersion()`
    `static String` | `getVERSION()`
    `static Object` | `loadElement(InputStream in)`
    `static Properties` | `loadProperties()`
    `static void` | `loadTestResults(InputStream reader, ResultCollectorHelper resultCollectorHelper)` Read results from JTL file.
    `static HashTree` | `loadTree(File file)` Load a Test tree (JMX file)
    `static void` | `saveElement(Object el, OutputStream out)`
    `static void` | `saveSampleResult(SampleEvent evt, Writer writer)` Save a sampleResult to an XML output file using XStream.
    `static void` | `saveTree(HashTree tree, OutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SAMPLE_EVENT_OBJECT

          public static final String SAMPLE_EVENT_OBJECT

      See Also:
        Constant Field Values

    - #### RESULTCOLLECTOR_HELPER_OBJECT

          public static final String RESULTCOLLECTOR_HELPER_OBJECT

      See Also:
        Constant Field Values

    - #### TEST_CLASS_NAME

          public static final String TEST_CLASS_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SaveService

          public SaveService()

  - ### Method Detail

    - #### loadProperties

          public static Properties loadProperties()
                                           throws IOException

      Throws:
        `IOException`

    - #### aliasToClass

          public static String aliasToClass(String s)

    - #### classToAlias

          public static String classToAlias(String s)

    - #### saveTree

          public static void saveTree(HashTree tree,
                                      OutputStream out)
                               throws IOException

      Throws:
        `IOException`

    - #### saveElement

          public static void saveElement(Object el,
                                         OutputStream out)
                                  throws IOException

      Throws:
        `IOException`

    - #### loadElement

          public static Object loadElement(InputStream in)
                                    throws IOException

      Throws:
        `IOException`

    - #### saveSampleResult

          public static void saveSampleResult(SampleEvent evt,
                                              Writer writer)
                                       throws IOException

      Save a sampleResult to an XML output file using XStream.
      Parameters:
        `evt` - sampleResult wrapped in a sampleEvent
        `writer` - output stream which must be created using `getFileEncoding(String)`
      Throws:
        `IOException` - when writing data to output fails

    - #### loadTestResults

          public static void loadTestResults(InputStream reader,
                                             ResultCollectorHelper resultCollectorHelper)
                                      throws IOException

      Read results from JTL file.
      Parameters:
        `reader` - of the file
        `resultCollectorHelper` - helper class to enable TestResultWrapperConverter to deliver the samples
      Throws:
        `IOException` - if an I/O error occurs

    - #### loadTree

          public static HashTree loadTree(File file)
                                   throws IOException

      Load a Test tree (JMX file)
      Parameters:
        `file` - the JMX file
      Returns:
        the loaded tree
      Throws:
        `IOException` - if there is a problem reading the file or processing it

    - #### getFileEncoding

          public static String getFileEncoding(String dflt)

      Returns the file Encoding specified in saveservice.properties or the default
      Parameters:
        `dflt` - value to return if file encoding was not provided
      Returns:
        file encoding or default

    - #### CEtoString

          public static String CEtoString(com.thoughtworks.xstream.converters.ConversionException ce)

      Simplify getMessage() output from XStream ConversionException
      Parameters:
        `ce` - - ConversionException to analyse
      Returns:
        string with details of error

    - #### getPropertiesVersion

          public static String getPropertiesVersion()

    - #### getVERSION

          public static String getVERSION()

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.